org.h2.result

## Class UpdatableRow

- java.lang.Object
- - org.h2.result.UpdatableRow

    public class UpdatableRow
    extends java.lang.Object

This class is used for updatable result sets. An updatable row provides functions to update the current row in a result set.

### Constructor Summary

Constructors
Constructor and Description
`UpdatableRow(JdbcConnection conn, ResultInterface result)` Construct a new object that is linked to the result set.

### Method Summary

Methods
`void` `deleteRow(Value[] current)` Delete the given row in the database.
`void` `insertRow(Value[] row)` Insert a new row into the database.
`boolean` `isUpdatable()` Check if this result set is updatable.
`Value[]` `readRow(Value[] row)` Re-reads a row from the database and updates the values in the array.
`void` `updateRow(Value[] current, Value[] updateRow)` Update a row in the database.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdatableRow

    public UpdatableRow(JdbcConnection conn,
                ResultInterface result)
                 throws java.sql.SQLException

Construct a new object that is linked to the result set. The constructor reads the database meta data to find out if the result set is updatable.

Parameters:
  `conn` - the database connection
  `result` - the result
Throws:
  `java.sql.SQLException`

### Method Detail

#### isUpdatable

    public boolean isUpdatable()

Check if this result set is updatable.

Returns:
  true if it is

#### readRow

    public Value[] readRow(Value[] row)
                    throws java.sql.SQLException

Re-reads a row from the database and updates the values in the array.

Parameters:
  `row` - the values that contain the key
Returns:
  the row
Throws:
  `java.sql.SQLException`

#### deleteRow

    public void deleteRow(Value[] current)
                   throws java.sql.SQLException

Delete the given row in the database.

Parameters:
  `current` - the row
Throws:
  `java.sql.SQLException` - if this row has already been deleted

#### updateRow

    public void updateRow(Value[] current,
                 Value[] updateRow)
                   throws java.sql.SQLException

Update a row in the database.

Parameters:
  `current` - the old row
  `updateRow` - the new row
Throws:
  `java.sql.SQLException` - if the row has been deleted

#### insertRow

    public void insertRow(Value[] row)
                   throws java.sql.SQLException

Insert a new row into the database.

Parameters:
  `row` - the new row
Throws:
  `java.sql.SQLException` - if the row could not be inserted